Package org.apache.groovy.json.internal

# Interface Value

All Known Implementing Classes:
  `CharSequenceValue`, `NumberValue`, `ValueContainer`

public interface Value

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `bigDecimalValue()`
  `BigInteger`
  `bigIntegerValue()`
  `boolean`
  `booleanValue()`
  `byte`
  `byteValue()`
  `char`
  `charValue()`
  `void`
  `chop()`
  `Date`
  `dateValue()`
  `double`
  `doubleValue()`
  `float`
  `floatValue()`
  `int`
  `intValue()`
  `boolean`
  `isContainer()`
  `long`
  `longValue()`
  `short`
  `shortValue()`
  `String`
  `stringValue()`
  `String`
  `stringValueEncoded()`
  `<T extends Enum>
  T`
  `toEnum(Class<T> cls)`
  `Object`
  `toValue()`

- ## Method Details

  - ### byteValue

    byte byteValue()

  - ### shortValue

    short shortValue()

  - ### intValue

    int intValue()

  - ### longValue

    long longValue()

  - ### bigDecimalValue

    BigDecimal bigDecimalValue()

  - ### bigIntegerValue

    BigInteger bigIntegerValue()

  - ### floatValue

    float floatValue()

  - ### doubleValue

    double doubleValue()

  - ### booleanValue

    boolean booleanValue()

  - ### dateValue

    Date dateValue()

  - ### stringValue

    String stringValue()

  - ### stringValueEncoded

    String stringValueEncoded()

  - ### toValue

    Object toValue()

  - ### toEnum

    <T extends Enum> T toEnum(Class<T> cls)

  - ### isContainer

    boolean isContainer()

  - ### chop

    void chop()

  - ### charValue

    char charValue()